Removed Support directory. It now lives in llvm/support/lib.
[oota-llvm.git] / configure
index d5cad80910c1400ec0b72f90d0a0c5601e08c501..2ed5a47ea671233ae60e80802947ae9b7754666a 100755 (executable)
--- a/configure
+++ b/configure
@@ -1509,6 +1509,16 @@ ac_config_sub="$SHELL $ac_aux_dir/config.sub"
 ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
 
 
+if test ${srcdir} != "."
+then
+       if test -f ${srcdir}/include/Config/config.h
+       then
+               { { echo "$as_me:$LINENO: error: Already configured in ${srcdir}" >&5
+echo "$as_me: error: Already configured in ${srcdir}" >&2;}
+   { (exit 1); exit 1; }; }
+       fi
+fi
+
           ac_config_headers="$ac_config_headers include/Config/config.h"
 
           ac_config_commands="$ac_config_commands Makefile"
@@ -1577,9 +1587,6 @@ ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
           ac_config_commands="$ac_config_commands lib/ExecutionEngine/JIT/Makefile"
 
 
-          ac_config_commands="$ac_config_commands lib/Support/Makefile"
-
-
           ac_config_commands="$ac_config_commands lib/Target/Makefile"
 
 
@@ -1628,9 +1635,6 @@ ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
           ac_config_commands="$ac_config_commands runtime/GCCLibraries/libcurses/Makefile"
 
 
-          ac_config_commands="$ac_config_commands runtime/GCCLibraries/libexception/Makefile"
-
-
           ac_config_commands="$ac_config_commands runtime/GCCLibraries/libg/Makefile"
 
 
@@ -1667,6 +1671,9 @@ ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
           ac_config_commands="$ac_config_commands test/Makefile.tests"
 
 
+          ac_config_commands="$ac_config_commands test/QMTestDB/QMTest/llvm.py"
+
+
           ac_config_commands="$ac_config_commands test/Programs/Makefile"
 
 
@@ -1940,19 +1947,22 @@ ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
           ac_config_commands="$ac_config_commands test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/Makefile"
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/analyze/Makefile"
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/C/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/as/Makefile"
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Regression/C++/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/bugpoint/Makefile"
+          ac_config_commands="$ac_config_commands tools/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/dis/Makefile"
+          ac_config_commands="$ac_config_commands tools/analyze/Makefile"
+
+
+          ac_config_commands="$ac_config_commands tools/bugpoint/Makefile"
 
 
           ac_config_commands="$ac_config_commands tools/extract/Makefile"
@@ -1964,40 +1974,31 @@ ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
           ac_config_commands="$ac_config_commands tools/gccld/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/link/Makefile"
-
-
           ac_config_commands="$ac_config_commands tools/llc/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/lli/Makefile"
-
-
-          ac_config_commands="$ac_config_commands tools/opt/Makefile"
-
-
           ac_config_commands="$ac_config_commands tools/llee/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/llvm-as/Makefile"
+          ac_config_commands="$ac_config_commands tools/lli/Makefile"
 
 
           ac_config_commands="$ac_config_commands tools/llvm-ar/Makefile"
 
 
-          ac_config_commands="$ac_config_commands tools/llvm-dis/Makefile"
+          ac_config_commands="$ac_config_commands tools/llvm-as/Makefile"
 
 
-          ac_config_commands="$ac_config_commands utils/Makefile"
+          ac_config_commands="$ac_config_commands tools/llvm-dis/Makefile"
 
 
-          ac_config_commands="$ac_config_commands utils/Burg/Makefile"
+          ac_config_commands="$ac_config_commands tools/llvm-link/Makefile"
 
 
-          ac_config_commands="$ac_config_commands utils/Burg/Doc/Makefile"
+          ac_config_commands="$ac_config_commands tools/opt/Makefile"
 
 
-          ac_config_commands="$ac_config_commands utils/TableGen/Makefile"
+          ac_config_commands="$ac_config_commands utils/Makefile"
 
 
           ac_config_commands="$ac_config_commands www/docs/Makefile"
@@ -2039,6 +2040,27 @@ ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
           ac_config_commands="$ac_config_commands projects/ModuleMaker/tools/ModuleMaker/Makefile"
 
 
+          ac_config_commands="$ac_config_commands support/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/lib/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/lib/Support/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/Burg/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/Burg/Doc/Makefile"
+
+
+          ac_config_commands="$ac_config_commands support/tools/TableGen/Makefile"
+
+
 
 
 # Find a good install program.  We prefer a C program (faster),
@@ -4386,7 +4408,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4386 "configure"' > conftest.$ac_ext
+  echo '#line 4411 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5227,7 +5249,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5227:" \
+echo "$as_me:5252:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6236,11 +6258,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6236: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6261: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6240: \$? = $ac_status" >&5
+   echo "$as_me:6265: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6468,11 +6490,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6468: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6493: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6472: \$? = $ac_status" >&5
+   echo "$as_me:6497: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6535,11 +6557,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6535: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6560: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6539: \$? = $ac_status" >&5
+   echo "$as_me:6564: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8547,7 +8569,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8547 "configure"
+#line 8572 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8645,7 +8667,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8645 "configure"
+#line 8670 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10781,11 +10803,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10781: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10806: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10785: \$? = $ac_status" >&5
+   echo "$as_me:10810: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10848,11 +10870,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10848: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10873: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10852: \$? = $ac_status" >&5
+   echo "$as_me:10877: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12091,7 +12113,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12091 "configure"
+#line 12116 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12189,7 +12211,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12189 "configure"
+#line 12214 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13011,11 +13033,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13011: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13036: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13015: \$? = $ac_status" >&5
+   echo "$as_me:13040: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13078,11 +13100,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13078: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13103: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13082: \$? = $ac_status" >&5
+   echo "$as_me:13107: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15022,11 +15044,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15022: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15047: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15026: \$? = $ac_status" >&5
+   echo "$as_me:15051: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15254,11 +15276,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15254: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15279: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15258: \$? = $ac_status" >&5
+   echo "$as_me:15283: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15321,11 +15343,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15321: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15346: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15325: \$? = $ac_status" >&5
+   echo "$as_me:15350: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17333,7 +17355,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17333 "configure"
+#line 17358 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17431,7 +17453,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17431 "configure"
+#line 17456 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18464,6 +18486,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_RPWD" && ac_cv_path_RPWD="false"
   ;;
 esac
 fi
@@ -18477,6 +18500,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${RPWD} = "false"
+then
+       { { echo "$as_me:$LINENO: error: pwd required but not found" >&5
+echo "$as_me: error: pwd required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18503,6 +18533,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_AR" && ac_cv_path_AR="false"
   ;;
 esac
 fi
@@ -18516,6 +18547,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${AR} = "false"
+then
+       { { echo "$as_me:$LINENO: error: ar required but not found" >&5
+echo "$as_me: error: ar required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "sed", so it can be a program name with args.
 set dummy sed; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18542,6 +18580,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_SED" && ac_cv_path_SED="false"
   ;;
 esac
 fi
@@ -18555,6 +18594,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${SED} = "false"
+then
+       { { echo "$as_me:$LINENO: error: sed required but not found" >&5
+echo "$as_me: error: sed required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "rm", so it can be a program name with args.
 set dummy rm; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18581,6 +18627,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_RM" && ac_cv_path_RM="false"
   ;;
 esac
 fi
@@ -18594,6 +18641,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${RM} = "false"
+then
+       { { echo "$as_me:$LINENO: error: rm required but not found" >&5
+echo "$as_me: error: rm required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "echo", so it can be a program name with args.
 set dummy echo; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18620,6 +18674,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_ECHO" && ac_cv_path_ECHO="false"
   ;;
 esac
 fi
@@ -18633,6 +18688,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${ECHO} = "false"
+then
+       { { echo "$as_me:$LINENO: error: echo required but not found" >&5
+echo "$as_me: error: echo required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "mkdir", so it can be a program name with args.
 set dummy mkdir; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18659,6 +18721,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_MKDIR" && ac_cv_path_MKDIR="false"
   ;;
 esac
 fi
@@ -18672,6 +18735,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${MKDIR} = "false"
+then
+       { { echo "$as_me:$LINENO: error: mkdir required but not found" >&5
+echo "$as_me: error: mkdir required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "date", so it can be a program name with args.
 set dummy date; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18698,6 +18768,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_DATE" && ac_cv_path_DATE="false"
   ;;
 esac
 fi
@@ -18711,6 +18782,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${DATE} = "false"
+then
+       { { echo "$as_me:$LINENO: error: date required but not found" >&5
+echo "$as_me: error: date required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "mv", so it can be a program name with args.
 set dummy mv; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18737,6 +18815,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_MV" && ac_cv_path_MV="false"
   ;;
 esac
 fi
@@ -18750,6 +18829,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${MV} = "false"
+then
+       { { echo "$as_me:$LINENO: error: mv required but not found" >&5
+echo "$as_me: error: mv required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "dot", so it can be a program name with args.
 set dummy dot; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18776,6 +18862,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_DOT" && ac_cv_path_DOT="false"
   ;;
 esac
 fi
@@ -18789,6 +18876,7 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+
 # Extract the first word of "etags", so it can be a program name with args.
 set dummy etags; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18815,6 +18903,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_ETAGS" && ac_cv_path_ETAGS="false"
   ;;
 esac
 fi
@@ -18828,6 +18917,7 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+
 # Extract the first word of "purify", so it can be a program name with args.
 set dummy purify; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18854,6 +18944,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_PURIFY" && ac_cv_path_PURIFY="false"
   ;;
 esac
 fi
@@ -18867,6 +18958,7 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+
 # Extract the first word of "python", so it can be a program name with args.
 set dummy python; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18893,6 +18985,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_PYTHON" && ac_cv_path_PYTHON="false"
   ;;
 esac
 fi
@@ -18906,6 +18999,12 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${PYTHON} = "false"
+then
+       { echo "$as_me:$LINENO: WARNING: python required but not found" >&5
+echo "$as_me: WARNING: python required but not found" >&2;}
+fi
+
 # Extract the first word of "qmtest", so it can be a program name with args.
 set dummy qmtest; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18932,6 +19031,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_QMTEST" && ac_cv_path_QMTEST="false"
   ;;
 esac
 fi
@@ -18945,6 +19045,11 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${QMTEST} = "false"
+then
+       { echo "$as_me:$LINENO: WARNING: qmtest required but not found" >&5
+echo "$as_me: WARNING: qmtest required but not found" >&2;}
+fi
 
 pyversion=`$PYTHON -V 2>&1 | cut -d\  -f2`
 pymajor=`echo $pyversion | cut -d. -f1`
@@ -23298,7 +23403,6 @@ ${srcdir}/autoconf/mkinstalldirs `dirname lib/CodeGen/SelectionDAG/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/ExecutionEngine/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/ExecutionEngine/Interpreter/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/ExecutionEngine/JIT/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname lib/Support/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/Target/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/Target/Sparc/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname lib/Target/X86/Makefile`
@@ -23315,7 +23419,6 @@ ${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/crtend/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/libc/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/libcurses/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/libexception/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/libg/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/libgcc/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/GCCLibraries/libm/Makefile`
@@ -23328,6 +23431,7 @@ ${srcdir}/autoconf/mkinstalldirs `dirname runtime/libdummy/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname runtime/libtrace/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Makefile.tests`
+${srcdir}/autoconf/mkinstalldirs `dirname test/QMTestDB/QMTest/llvm.py`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/Makefile.programs`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.aa.Makefile`
@@ -23419,26 +23523,24 @@ ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Benchmarks/
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/CustomChecked/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/UnitTests/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/C/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Regression/C++/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/analyze/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/as/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/bugpoint/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/dis/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/extract/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/gccas/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/gccld/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/link/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llc/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/lli/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/opt/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llee/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-as/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/lli/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-ar/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-as/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-dis/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/llvm-link/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/opt/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname utils/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname utils/Burg/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname utils/Burg/Doc/Makefile`
-${srcdir}/autoconf/mkinstalldirs `dirname utils/TableGen/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname www/docs/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/sample/Makefile`
@@ -23452,6 +23554,13 @@ ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/Makefile.common`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/tools/Makefile`
 ${srcdir}/autoconf/mkinstalldirs `dirname projects/ModuleMaker/tools/ModuleMaker/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/lib/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/lib/Support/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/Burg/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/Burg/Doc/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname support/tools/TableGen/Makefile`
 
 _ACEOF
 
@@ -23485,7 +23594,6 @@ do
   "lib/ExecutionEngine/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/ExecutionEngine/Makefile" ;;
   "lib/ExecutionEngine/Interpreter/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/ExecutionEngine/Interpreter/Makefile" ;;
   "lib/ExecutionEngine/JIT/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/ExecutionEngine/JIT/Makefile" ;;
-  "lib/Support/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Support/Makefile" ;;
   "lib/Target/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Target/Makefile" ;;
   "lib/Target/Sparc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Target/Sparc/Makefile" ;;
   "lib/Target/X86/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Target/X86/Makefile" ;;
@@ -23502,7 +23610,6 @@ do
   "runtime/GCCLibraries/crtend/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/GCCLibraries/crtend/Makefile" ;;
   "runtime/GCCLibraries/libc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/GCCLibraries/libc/Makefile" ;;
   "runtime/GCCLibraries/libcurses/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/GCCLibraries/libcurses/Makefile" ;;
-  "runtime/GCCLibraries/libexception/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/GCCLibraries/libexception/Makefile" ;;
   "runtime/GCCLibraries/libg/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/GCCLibraries/libg/Makefile" ;;
   "runtime/GCCLibraries/libgcc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/GCCLibraries/libgcc/Makefile" ;;
   "runtime/GCCLibraries/libm/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/GCCLibraries/libm/Makefile" ;;
@@ -23515,6 +23622,7 @@ do
   "runtime/libtrace/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/libtrace/Makefile" ;;
   "test/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Makefile" ;;
   "test/Makefile.tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Makefile.tests" ;;
+  "test/QMTestDB/QMTest/llvm.py" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/QMTestDB/QMTest/llvm.py" ;;
   "test/Programs/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/Makefile" ;;
   "test/Programs/Makefile.programs" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/Makefile.programs" ;;
   "test/Programs/TEST.aa.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.aa.Makefile" ;;
   "test/Programs/SingleSource/CustomChecked/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/CustomChecked/Makefile" ;;
   "test/Programs/SingleSource/UnitTests/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/UnitTests/Makefile" ;;
   "test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile" ;;
+  "test/Programs/SingleSource/Regression/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/Makefile" ;;
+  "test/Programs/SingleSource/Regression/C/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/C/Makefile" ;;
+  "test/Programs/SingleSource/Regression/C++/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Regression/C++/Makefile" ;;
   "tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/Makefile" ;;
   "tools/analyze/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/analyze/Makefile" ;;
-  "tools/as/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/as/Makefile" ;;
   "tools/bugpoint/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/bugpoint/Makefile" ;;
-  "tools/dis/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/dis/Makefile" ;;
   "tools/extract/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/extract/Makefile" ;;
   "tools/gccas/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/gccas/Makefile" ;;
   "tools/gccld/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/gccld/Makefile" ;;
-  "tools/link/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/link/Makefile" ;;
   "tools/llc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llc/Makefile" ;;
-  "tools/lli/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/lli/Makefile" ;;
-  "tools/opt/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/opt/Makefile" ;;
   "tools/llee/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llee/Makefile" ;;
+  "tools/lli/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/lli/Makefile" ;;
   "tools/llvm-ar/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-ar/Makefile" ;;
+  "tools/llvm-as/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-as/Makefile" ;;
   "tools/llvm-dis/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-dis/Makefile" ;;
+  "tools/llvm-link/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/llvm-link/Makefile" ;;
+  "tools/opt/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/opt/Makefile" ;;
   "utils/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Makefile" ;;
-  "utils/Burg/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Burg/Makefile" ;;
-  "utils/Burg/Doc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Burg/Doc/Makefile" ;;
-  "utils/TableGen/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/TableGen/Makefile" ;;
   "www/docs/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS www/docs/Makefile" ;;
   "projects/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/Makefile" ;;
   "projects/sample/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/sample/Makefile" ;;
   "projects/ModuleMaker/Makefile.common" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/ModuleMaker/Makefile.common" ;;
   "projects/ModuleMaker/tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/ModuleMaker/tools/Makefile" ;;
   "projects/ModuleMaker/tools/ModuleMaker/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/ModuleMaker/tools/ModuleMaker/Makefile" ;;
+  "support/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/Makefile" ;;
+  "support/lib/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/lib/Makefile" ;;
+  "support/lib/Support/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/lib/Support/Makefile" ;;
+  "support/tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/Makefile" ;;
+  "support/tools/Burg/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/Burg/Makefile" ;;
+  "support/tools/Burg/Doc/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/Burg/Doc/Makefile" ;;
+  "support/tools/TableGen/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS support/tools/TableGen/Makefile" ;;
   "include/Config/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/Config/config.h" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -24301,7 +24415,6 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     lib/ExecutionEngine/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/ExecutionEngine/Makefile lib/ExecutionEngine/Makefile ;;
     lib/ExecutionEngine/Interpreter/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/ExecutionEngine/Interpreter/Makefile lib/ExecutionEngine/Interpreter/Makefile ;;
     lib/ExecutionEngine/JIT/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/ExecutionEngine/JIT/Makefile lib/ExecutionEngine/JIT/Makefile ;;
-    lib/Support/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Support/Makefile lib/Support/Makefile ;;
     lib/Target/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Target/Makefile lib/Target/Makefile ;;
     lib/Target/Sparc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Target/Sparc/Makefile lib/Target/Sparc/Makefile ;;
     lib/Target/X86/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Target/X86/Makefile lib/Target/X86/Makefile ;;
@@ -24318,7 +24431,6 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     runtime/GCCLibraries/crtend/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/GCCLibraries/crtend/Makefile runtime/GCCLibraries/crtend/Makefile ;;
     runtime/GCCLibraries/libc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/GCCLibraries/libc/Makefile runtime/GCCLibraries/libc/Makefile ;;
     runtime/GCCLibraries/libcurses/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/GCCLibraries/libcurses/Makefile runtime/GCCLibraries/libcurses/Makefile ;;
-    runtime/GCCLibraries/libexception/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/GCCLibraries/libexception/Makefile runtime/GCCLibraries/libexception/Makefile ;;
     runtime/GCCLibraries/libg/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/GCCLibraries/libg/Makefile runtime/GCCLibraries/libg/Makefile ;;
     runtime/GCCLibraries/libgcc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/GCCLibraries/libgcc/Makefile runtime/GCCLibraries/libgcc/Makefile ;;
     runtime/GCCLibraries/libm/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/GCCLibraries/libm/Makefile runtime/GCCLibraries/libm/Makefile ;;
@@ -24331,6 +24443,7 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     runtime/libtrace/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/libtrace/Makefile runtime/libtrace/Makefile ;;
     test/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Makefile test/Makefile ;;
     test/Makefile.tests ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Makefile.tests test/Makefile.tests ;;
+    test/QMTestDB/QMTest/llvm.py ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/QMTestDB/QMTest/llvm.py test/QMTestDB/QMTest/llvm.py ;;
     test/Programs/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/Makefile test/Programs/Makefile ;;
     test/Programs/Makefile.programs ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/Makefile.programs test/Programs/Makefile.programs ;;
     test/Programs/TEST.aa.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.aa.Makefile test/Programs/TEST.aa.Makefile ;;
@@ -24422,26 +24535,24 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     test/Programs/SingleSource/CustomChecked/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/CustomChecked/Makefile test/Programs/SingleSource/CustomChecked/Makefile ;;
     test/Programs/SingleSource/UnitTests/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/UnitTests/Makefile test/Programs/SingleSource/UnitTests/Makefile ;;
     test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile ;;
+    test/Programs/SingleSource/Regression/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/Makefile test/Programs/SingleSource/Regression/Makefile ;;
+    test/Programs/SingleSource/Regression/C/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/C/Makefile test/Programs/SingleSource/Regression/C/Makefile ;;
+    test/Programs/SingleSource/Regression/C++/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Regression/C++/Makefile test/Programs/SingleSource/Regression/C++/Makefile ;;
     tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/Makefile tools/Makefile ;;
     tools/analyze/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/analyze/Makefile tools/analyze/Makefile ;;
-    tools/as/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/as/Makefile tools/as/Makefile ;;
     tools/bugpoint/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/bugpoint/Makefile tools/bugpoint/Makefile ;;
-    tools/dis/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/dis/Makefile tools/dis/Makefile ;;
     tools/extract/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/extract/Makefile tools/extract/Makefile ;;
     tools/gccas/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/gccas/Makefile tools/gccas/Makefile ;;
     tools/gccld/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/gccld/Makefile tools/gccld/Makefile ;;
-    tools/link/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/link/Makefile tools/link/Makefile ;;
     tools/llc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llc/Makefile tools/llc/Makefile ;;
-    tools/lli/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/lli/Makefile tools/lli/Makefile ;;
-    tools/opt/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/opt/Makefile tools/opt/Makefile ;;
     tools/llee/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llee/Makefile tools/llee/Makefile ;;
-    tools/llvm-as/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-as/Makefile tools/llvm-as/Makefile ;;
+    tools/lli/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/lli/Makefile tools/lli/Makefile ;;
     tools/llvm-ar/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-ar/Makefile tools/llvm-ar/Makefile ;;
+    tools/llvm-as/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-as/Makefile tools/llvm-as/Makefile ;;
     tools/llvm-dis/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-dis/Makefile tools/llvm-dis/Makefile ;;
+    tools/llvm-link/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/llvm-link/Makefile tools/llvm-link/Makefile ;;
+    tools/opt/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/opt/Makefile tools/opt/Makefile ;;
     utils/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Makefile utils/Makefile ;;
-    utils/Burg/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Burg/Makefile utils/Burg/Makefile ;;
-    utils/Burg/Doc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Burg/Doc/Makefile utils/Burg/Doc/Makefile ;;
-    utils/TableGen/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/TableGen/Makefile utils/TableGen/Makefile ;;
     www/docs/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/www/docs/Makefile www/docs/Makefile ;;
     projects/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/Makefile projects/Makefile ;;
     projects/sample/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/sample/Makefile projects/sample/Makefile ;;
@@ -24455,6 +24566,13 @@ echo "$as_me: executing $ac_dest commands" >&6;}
     projects/ModuleMaker/Makefile.common ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/ModuleMaker/Makefile.common projects/ModuleMaker/Makefile.common ;;
     projects/ModuleMaker/tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/ModuleMaker/tools/Makefile projects/ModuleMaker/tools/Makefile ;;
     projects/ModuleMaker/tools/ModuleMaker/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/ModuleMaker/tools/ModuleMaker/Makefile projects/ModuleMaker/tools/ModuleMaker/Makefile ;;
+    support/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/Makefile support/Makefile ;;
+    support/lib/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/lib/Makefile support/lib/Makefile ;;
+    support/lib/Support/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/lib/Support/Makefile support/lib/Support/Makefile ;;
+    support/tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/Makefile support/tools/Makefile ;;
+    support/tools/Burg/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/Burg/Makefile support/tools/Burg/Makefile ;;
+    support/tools/Burg/Doc/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/Burg/Doc/Makefile support/tools/Burg/Doc/Makefile ;;
+    support/tools/TableGen/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/support/tools/TableGen/Makefile support/tools/TableGen/Makefile ;;
   esac
 done
 _ACEOF